%define name gnet2
%define api_version 2.0
%define lib_major 0
%define lib_name %mklibname gnet-%{api_version}_ %{lib_major}

Summary: Libgnet, a network library
Name: %name
Version: 2.0.4
Release: 1mdk
License: LGPL
Group: System/Libraries
Source: http://www.gnetlibrary.org/src/gnet-%{version}.tar.bz2
URL: http://gnetlibrary.org/
BuildRequires:	glib2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

Features:
  * TCP 'client' sockets
  * TCP 'server' sockets
  * Non-blocking TCP sockets
  * UDP
  * IP Multicast
  * Internet address abstraction

%package -n %{lib_name}
Summary: Libgnet, a network library
Group: System/Libraries
Provides: lib%name = %version-%release

%description -n %{lib_name}
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

%package -n %{lib_name}-devel
Summary: Header files for the Gnet library
Group: Development/C
Provides: lib%name-devel = %version-%release
Provides: libgnet-%api_version-devel = %version-%release
Requires: %{lib_name} = %version-%release

%description -n %{lib_name}-devel
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.
This package allows you to develop applications that use the Gnet
library.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gnet-%version -q
chmod 755 doc/html

%build

%configure 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgnet%{api_version}-dev


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL HACKING doc/html
%{_includedir}/gnet-2.0
%{_datadir}/aclocal/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/gnet-2.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/gnet-2.0.pc

%changelog
* Wed Jul 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0.4-1mdk 
- From Bellegarde Cedric <gnumdk@wanadoo.fr>
    - Make a spec file
